Skip to main content
GET
Get program setup readiness

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

program_id
integer
required

Program id in the current organization.

Response

Operation result.

program_id
integer
Example:

42

program_name
string
Example:

"Education"

program_type
enum<string> | null
Available options:
number,
contribution,
campaign,
peer_to_peer,
trips,
null
Example:

"number"

program_type_label
string
Example:

"Number of Sponsors"

attached_modules
object
email_required
boolean
Example:

true

steps
object[]
next_step_key
string | null
Example:

"entity_form"

is_launch_ready
boolean
Example:

false